## tempest 12.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
testtools>=1.4.0 # MIT
paramiko>=2.0 # LGPLv2.1+
netaddr!=0.7.16,>=0.7.12 # BSD
testrepository>=0.0.18 # Apache-2.0/BSD
pyOpenSSL>=0.14 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.11.0 # Apache-2.0
six>=1.9.0 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
PyYAML>=3.1.0 # MIT
stevedore>=1.10.0 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
os-testr>=0.7.0 # Apache-2.0
urllib3>=1.15.1 # MIT

## tempest 12.0.0

=== debian/changelog ===
tempest (1:12.0.0-2) experimental; urgency=medium

  * Added Python3 support.
  * Renamed the tempest man page to tempest_shell_wrapper.1
  * Remove privacy breanch in docs.
  * Add Breaks+Replaces+Provides: python{3,}-tempest-lib.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jun 2016 10:32:52 +0200

tempest (1:12.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Added python-murano as build-depends to be able to generate the
    tempest.conf options for it.
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch to debian/newton.
  * d/control: Align (Build-)Depends with upstream.
  * d/changelog: Add epoch 1 to version to replace Ubuntu version 2014.1.*.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as uploaders.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 22:42:33 +0000

tempest (10.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * Also install tempest/api/orchestration/stacks/templates/*.json.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added patch to remove the use of git in sphinx's conf.py.
  * Added manila in namespace config.
  * Generating tempest.conf with the namespace for the congress, manila,
    mistral, murano (and therefore, build-depends on them).
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).
  * Do not copy tools/colorizer.py.
  * Fix a few config option defaults.
  * Also install missing .yaml files.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Mar 2016 13:10:03 +0100

tempest (6-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Generates config file using oslo-config-generator.
  * Do not use verbose mode by default.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 09:32:43 +0200

tempest (4-2) unstable; urgency=medium

  * Makes build reproducible (Closes: #789749). Thanks to Juan Picca for the
    bug report and patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:23:46 +0200

tempest (4-1) unstable; urgency=medium

  * Initial release (Closes: #750164).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 May 2015 22:17:41 +0200

=== debian/control ===
Source: tempest
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 38~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-jsonschema,
                     python-mock (>= 1.3),
                     python-murano,
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-openssl (>= 0.14),
                     python-os-testr,
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.9.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko,
                     python-prettytable,
                     python-psycopg2,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.9.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-urllib3 (>= 1.8.3),
                     python-yaml,
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-fixtures (>= 1.3.1),
                     python3-hacking,
                     python3-jsonschema,
                     python3-mock (>= 1.3),
                     python3-mysqldb,
                     python3-netaddr (>= 0.7.12),
                     python3-openssl (>= 0.14),
                     python3-os-testr,
                     python3-oslo.concurrency (>= 3.5.0),
                     python3-oslo.config (>= 1:3.9.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1.10.0),
                     python3-paramiko,
                     python3-prettytable,
                     python3-psycopg2,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.9.0),
                     python3-subunit,
                     python3-swiftclient,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-urllib3 (>= 1.8.3),
                     python3-yaml,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/tempest.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/tempest.git
Homepage: https://github.com/openstack/tempest

Package: python-tempest
Architecture: all
Replaces: python-tempest-lib,
          tempest (<< 1:12.0.0-2~),
Breaks: python-tempest-lib,
        tempest (<< 1:12.0.0-2~),
Provides: python-tempest-lib,
Depends: python-cliff (>= 1.15.0),
         python-fixtures (>= 1.3.1),
         python-jsonschema,
         python-netaddr (>= 0.7.12),
         python-openssl (>= 0.14),
         python-os-testr,
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.9.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-paramiko,
         python-pbr (>= 1.8),
         python-prettytable,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.9.0),
         python-subunit,
         python-swiftclient,
         python-testscenarios,
         python-testtools (>= 1.4.0),
         python-urllib3 (>= 1.8.3),
         python-yaml,
         testrepository,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Integration Test Suite - Python 2.7
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 2.7 module.

Package: python3-tempest
Architecture: all
Replaces: python3-tempest-lib,
Breaks: python3-tempest-lib,
Provides: python3-tempest-lib,
Depends: python3-cliff (>= 1.15.0),
         python3-fixtures (>= 1.3.1),
         python3-jsonschema,
         python3-netaddr (>= 0.7.12),
         python3-openssl (>= 0.14),
         python3-os-testr,
         python3-oslo.concurrency (>= 3.5.0),
         python3-oslo.config (>= 1:3.9.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-paramiko,
         python3-pbr (>= 1.8),
         python3-prettytable,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.9.0),
         python3-subunit,
         python3-swiftclient,
         python3-testscenarios,
         python3-testtools (>= 1.4.0),
         python3-urllib3 (>= 1.8.3),
         python3-yaml,
         subunit,
         testrepository,
         ${misc:Depends},
         ${python3:Depends},
Description: OpenStack Integration Test Suite - Python 3.x
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 3.x module.

Package: tempest
Architecture: all
Depends: python-tempest (= ${binary:Version}) | python3-tempest (= ${binary:Version}) | ,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Integration Test Suite
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f .testrepository

override_dh_auto_install:
	# Install Python 2.7
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-tempest; \
	done
	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates

	# Install Python 3.x
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-tempest; \
	done
	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates

	# Cleanups
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	rm -rf $(CURDIR)/debian/python*/usr/etc

	mv $(CURDIR)/debian/python-tempest/usr/bin/check-uuid $(CURDIR)/debian/python-tempest/usr/bin/python2-check-uuid
	mv $(CURDIR)/debian/python3-tempest/usr/bin/check-uuid $(CURDIR)/debian/python3-tempest/usr/bin/python3-check-uuid
	mv $(CURDIR)/debian/python-tempest/usr/bin/javelin2 $(CURDIR)/debian/python-tempest/usr/bin/python2-javelin2
	mv $(CURDIR)/debian/python3-tempest/usr/bin/javelin2 $(CURDIR)/debian/python3-tempest/usr/bin/python3-javelin2
	mv $(CURDIR)/debian/python-tempest/usr/bin/run-tempest-stress $(CURDIR)/debian/python-tempest/usr/bin/python2-run-tempest-stress
	mv $(CURDIR)/debian/python3-tempest/usr/bin/run-tempest-stress $(CURDIR)/debian/python3-tempest/usr/bin/python3-run-tempest-stress
	mv $(CURDIR)/debian/python-tempest/usr/bin/skip-tracker $(CURDIR)/debian/python-tempest/usr/bin/python2-skip-tracker
	mv $(CURDIR)/debian/python3-tempest/usr/bin/skip-tracker $(CURDIR)/debian/python3-tempest/usr/bin/python3-skip-tracker
	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest
	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest
	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest-account-generator $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest-account-generator
	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest-account-generator $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest-account-generator
	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest-cleanup $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest-cleanup
	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest-cleanup $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest-cleanup
	mv $(CURDIR)/debian/python-tempest/usr/bin/verify-tempest-config $(CURDIR)/debian/python-tempest/usr/bin/python2-verify-tempest-config
	mv $(CURDIR)/debian/python3-tempest/usr/bin/verify-tempest-config $(CURDIR)/debian/python3-tempest/usr/bin/python3-verify-tempest-config

	mkdir -p $(CURDIR)/debian/tempest/etc/tempest
	PYTHONPATH=$(CURDIR)/debian/python-tempest/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/tempest/etc/tempest/tempest.conf \
		--wrap-width 140 \
		--namespace tempest.config \
		--namespace oslo.concurrency \
		--namespace oslo.i18n \
		--namespace oslo.log \
		--namespace oslo.serialization \
		--namespace oslo.utils
	
	install -D -m 0664 etc/logging.conf.sample $(CURDIR)/debian/tempest/etc/tempest/logging.conf
	install -D -m 0664 etc/accounts.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/accounts.yaml
	install -D -m 0664 etc/whitelist.yaml $(CURDIR)/debian/tempest/etc/tempest/whitelist.yaml
	install -D -m 0664 etc/javelin-resources.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/javelin-resources.yaml

	#cp -rfv etc/schemas $(CURDIR)/debian/tempest/etc/tempest
#	cp tools/colorizer.py $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest
	# Fix-up some preferences

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT verbose false
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_dir /var/log
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf oslo_concurrency lock_path /var/lock

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_tenant_name admin
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_username admin
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_domain_name default

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute fixed_network_name demo-net
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute region regionOne

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute-feature-enabled allow_duplicate_networks true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute-feature-enabled spice_console true

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf dashboard dashboard_url http://127.0.0.1

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity uri http://127.0.0.1:35357/v2.0
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity v2_public_endpoint_type adminURL
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity uri_v3 http://127.0.0.1:35357/v3
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity disable_ssl_certificate_validation true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity auth_version v3
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity default_domain_id default
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity v2_admin_endpoint_type adminURL

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity-feature-enabled api_v3 true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity-feature-enabled api_v2 false

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf image region regionOne

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf network region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf network build_interval 3

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration instance_type m1.small
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne

## tempest 12.1.0

=== debian/changelog ===
tempest (1:12.1.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 05 Sep 2016 20:39:15 +0000

tempest (1:12.1.0-2) experimental; urgency=medium

  * Added a debian/bin containing a "tempest" shell script, and add that to the
    $PATH before launching unit tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 09:20:19 +0000

tempest (1:12.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added missing python{3,}-{ddt,oslotest} runtime Depends.
  * Set [volume-feature-enabled]/volume_services to true.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.
  * Don't attempt to run the test:
    cmd.test_subunit_describe_calls.TestSubunitDescribeCalls.test_return_code
    as subunit-describe-calls is not available in /usr/bin at build time.
  * Add subunit-describe-calls to the list of update-alternatives programs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Jun 2016 21:25:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools (>= 38~),
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -17,60 +17,59 @@
 Build-Depends-Indep: git,
                      python-cliff (>= 1.15.0),
                      python-coverage,
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-hacking,
                      python-jsonschema,
-                     python-mock (>= 1.3),
-                     python-murano,
+                     python-mock (>= 2.0),
                      python-mysqldb,
                      python-netaddr (>= 0.7.12),
                      python-openssl (>= 0.14),
-                     python-os-testr,
-                     python-oslo.concurrency (>= 3.5.0),
-                     python-oslo.config (>= 1:3.9.0),
+                     python-os-testr (>= 0.7.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.11.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-paramiko,
+                     python-paramiko (>= 2.0),
                      python-prettytable,
                      python-psycopg2,
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.9.0),
+                     python-stevedore (>= 1.10.0),
                      python-swiftclient,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python-urllib3 (>= 1.8.3),
+                     python-urllib3 (>= 1.15.1),
                      python-yaml,
                      python3-cliff (>= 1.15.0),
                      python3-coverage,
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-hacking,
                      python3-jsonschema,
-                     python3-mock (>= 1.3),
+                     python3-mock (>= 2.0),
                      python3-mysqldb,
                      python3-netaddr (>= 0.7.12),
                      python3-openssl (>= 0.14),
-                     python3-os-testr,
-                     python3-oslo.concurrency (>= 3.5.0),
-                     python3-oslo.config (>= 1:3.9.0),
+                     python3-os-testr (>= 0.7.0),
+                     python3-oslo.concurrency (>= 3.8.0),
+                     python3-oslo.config (>= 1:3.10.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.utils (>= 3.11.0),
                      python3-oslotest (>= 1.10.0),
-                     python3-paramiko,
+                     python3-paramiko (>= 2.0),
                      python3-prettytable,
                      python3-psycopg2,
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.9.0),
+                     python3-stevedore (>= 1.10.0),
                      python3-subunit,
-                     python3-swiftclient,
+#                     python3-swiftclient,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
-                     python3-urllib3 (>= 1.8.3),
+                     python3-urllib3 (>= 1.15.1),
                      python3-yaml,
                      subunit,
                      testrepository,
@@ -87,27 +86,29 @@
         tempest (<< 1:12.0.0-2~),
 Provides: python-tempest-lib,
 Depends: python-cliff (>= 1.15.0),
-         python-fixtures (>= 1.3.1),
+         python-ddt,
+         python-fixtures (>= 3.0.0),
          python-jsonschema,
          python-netaddr (>= 0.7.12),
          python-openssl (>= 0.14),
-         python-os-testr,
-         python-oslo.concurrency (>= 3.5.0),
+         python-os-testr (>= 0.7.0),
+         python-oslo.concurrency (>= 3.8.0),
          python-oslo.config (>= 1:3.9.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.5.0),
-         python-paramiko,
+         python-oslo.utils (>= 3.11.0),
+         python-oslotest,
+         python-paramiko (>= 2.0),
          python-pbr (>= 1.8),
          python-prettytable,
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.9.0),
+         python-stevedore (>= 1.10.0),
          python-subunit,
          python-swiftclient,
          python-testscenarios,
          python-testtools (>= 1.4.0),
-         python-urllib3 (>= 1.8.3),
+         python-urllib3 (>= 1.15.1),
          python-yaml,
          testrepository,
          ${misc:Depends},
@@ -126,27 +127,29 @@
 Breaks: python3-tempest-lib,
 Provides: python3-tempest-lib,
 Depends: python3-cliff (>= 1.15.0),
-         python3-fixtures (>= 1.3.1),
+         python3-ddt,
+         python3-fixtures (>= 3.0.0),
          python3-jsonschema,
          python3-netaddr (>= 0.7.12),
          python3-openssl (>= 0.14),
-         python3-os-testr,
-         python3-oslo.concurrency (>= 3.5.0),
+         python3-os-testr (>= 0.7.0),
+         python3-oslo.concurrency (>= 3.8.0),
          python3-oslo.config (>= 1:3.9.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.5.0),
-         python3-paramiko,
+         python3-oslo.utils (>= 3.11.0),
+         python3-oslotest,
+         python3-paramiko (>= 2.0),
          python3-pbr (>= 1.8),
          python3-prettytable,
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.9.0),
+         python3-stevedore (>= 1.10.0),
          python3-subunit,
          python3-swiftclient,
          python3-testscenarios,
          python3-testtools (>= 1.4.0),
-         python3-urllib3 (>= 1.8.3),
+         python3-urllib3 (>= 1.15.1),
          python3-yaml,
          subunit,
          testrepository,

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
 include /usr/share/openstack-pkg-tools/pkgos.make
-
-export OSLO_PACKAGE_VERSION=$(VERSION)
 
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
@@ -18,44 +13,19 @@
 	rm -f .testrepository
 
 override_dh_auto_install:
-	# Install Python 2.7
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-tempest; \
-	done
+	pkgos-dh_auto_install
+
+	# These aren't automatically install: do it by hand
 	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
 	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
 	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest/api/orchestration/stacks/templates
 
-	# Install Python 3.x
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-tempest; \
-	done
 	mkdir -p $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
 	cp tempest/api/orchestration/stacks/templates/*.yaml $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
 	cp tempest/api/orchestration/stacks/templates/*.json $(CURDIR)/debian/tempest/usr/lib/python3/dist-packages/tempest/api/orchestration/stacks/templates
 
 	# Cleanups
-	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 	rm -rf $(CURDIR)/debian/python*/usr/etc
-
-	mv $(CURDIR)/debian/python-tempest/usr/bin/check-uuid $(CURDIR)/debian/python-tempest/usr/bin/python2-check-uuid
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/check-uuid $(CURDIR)/debian/python3-tempest/usr/bin/python3-check-uuid
-	mv $(CURDIR)/debian/python-tempest/usr/bin/javelin2 $(CURDIR)/debian/python-tempest/usr/bin/python2-javelin2
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/javelin2 $(CURDIR)/debian/python3-tempest/usr/bin/python3-javelin2
-	mv $(CURDIR)/debian/python-tempest/usr/bin/run-tempest-stress $(CURDIR)/debian/python-tempest/usr/bin/python2-run-tempest-stress
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/run-tempest-stress $(CURDIR)/debian/python3-tempest/usr/bin/python3-run-tempest-stress
-	mv $(CURDIR)/debian/python-tempest/usr/bin/skip-tracker $(CURDIR)/debian/python-tempest/usr/bin/python2-skip-tracker
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/skip-tracker $(CURDIR)/debian/python3-tempest/usr/bin/python3-skip-tracker
-	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest
-	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest-account-generator $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest-account-generator
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest-account-generator $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest-account-generator
-	mv $(CURDIR)/debian/python-tempest/usr/bin/tempest-cleanup $(CURDIR)/debian/python-tempest/usr/bin/python2-tempest-cleanup
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/tempest-cleanup $(CURDIR)/debian/python3-tempest/usr/bin/python3-tempest-cleanup
-	mv $(CURDIR)/debian/python-tempest/usr/bin/verify-tempest-config $(CURDIR)/debian/python-tempest/usr/bin/python2-verify-tempest-config
-	mv $(CURDIR)/debian/python3-tempest/usr/bin/verify-tempest-config $(CURDIR)/debian/python3-tempest/usr/bin/python3-verify-tempest-config
 
 	mkdir -p $(CURDIR)/debian/tempest/etc/tempest
 	PYTHONPATH=$(CURDIR)/debian/python-tempest/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/tempest/etc/tempest/tempest.conf \
@@ -72,10 +42,7 @@
 	install -D -m 0664 etc/whitelist.yaml $(CURDIR)/debian/tempest/etc/tempest/whitelist.yaml
 	install -D -m 0664 etc/javelin-resources.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/javelin-resources.yaml
 
-	#cp -rfv etc/schemas $(CURDIR)/debian/tempest/etc/tempest
-#	cp tools/colorizer.py $(CURDIR)/debian/tempest/usr/lib/python2.7/dist-packages/tempest
 	# Fix-up some preferences
-
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT verbose false
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_dir /var/log
@@ -116,3 +83,28 @@
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne
 	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne
 
+	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf volume region regionOne
+
+	# Otherwise, there's some cinder tempest failures
+	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf volume-feature-enabled volume_services true
+
+	# Package stuff in /var/lib/tempest, since we need read/write access
+	# to run the testr stuff
+	mkdir -p $(CURDIR)/debian/tempest/var/lib/tempest
+	ln -s /usr/lib/python2.7/dist-packages/tempest $(CURDIR)/debian/tempest/var/lib/tempest/tempest
+	cp .testr.conf $(CURDIR)/debian/tempest/var/lib/tempest
+	install -D -m 775 debian/tempest_shell_wrapper $(CURDIR)/debian/tempest/usr/bin/tempest_debian_shell_wrapper
+
+	rm -fr $(CURDIR)/debian/tempest/usr/etc
+
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	echo "Disabled unit tests until python3-swiftclient is available"
+#	export OS_TEST_PATH=$(CURDIR)/tempest/tests ; PATH=$$PATH:$(CURDIR)/debian/bin pkgos-dh_auto_test 'tempest\.tests\.(?!(.*test_pretty_tox.*|.*cmd\.test_subunit_describe_calls\.TestSubunitDescribeCalls\.test_return_code.*))'
+endif
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html
+	dh_sphinxdoc -O--buildsystem=python_distutils
+endif

## tempest 12.2.0

=== requirements.txt ===
--- 
+++ 
@@ -8,18 +8,17 @@
 paramiko>=2.0 # LGPLv2.1+
 netaddr!=0.7.16,>=0.7.12 # BSD
 testrepository>=0.0.18 # Apache-2.0/BSD
-pyOpenSSL>=0.14 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
-oslo.config>=3.10.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-oslo.utils>=3.11.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 six>=1.9.0 # MIT
 fixtures>=3.0.0 # Apache-2.0/BSD
 testscenarios>=0.4 # Apache-2.0/BSD
 PyYAML>=3.1.0 # MIT
-stevedore>=1.10.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0
 PrettyTable<0.8,>=0.7 # BSD
 os-testr>=0.7.0 # Apache-2.0
 urllib3>=1.15.1 # MIT

=== debian/changelog ===
tempest (1:12.2.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 27 Feb 2017 00:01:32 +0000

tempest (1:12.2.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist failing test:
    - TestTestList.test_testr_list_tests_no_errors

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 15:22:26 +0200

tempest (1:12.2.0-0) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-privacy-breach.patch.
  * Fixed oslotest EPOCH.
  * Using OpenStack's Gerrit as VCS URLs.
  * Added .gitreview in extend-diff-ignore.
  * Removed javelin2 from update-alternatives.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:23:17 +0200

tempest (1:12.1.0-3) experimental; urgency=medium

  * Team upload.
  * Added python-pep8 to build depends (Closes: #834888)

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Aug 2016 21:29:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -23,21 +23,21 @@
                      python-mock (>= 2.0),
                      python-mysqldb,
                      python-netaddr (>= 0.7.12),
-                     python-openssl (>= 0.14),
                      python-os-testr (>= 0.7.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.10.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-paramiko (>= 2.0),
+                     python-pep8,
                      python-prettytable,
                      python-psycopg2,
                      python-six (>= 1.9.0),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-swiftclient,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
@@ -51,22 +51,21 @@
                      python3-mock (>= 2.0),
                      python3-mysqldb,
                      python3-netaddr (>= 0.7.12),
-                     python3-openssl (>= 0.14),
                      python3-os-testr (>= 0.7.0),
                      python3-oslo.concurrency (>= 3.8.0),
-                     python3-oslo.config (>= 1:3.10.0),
+                     python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.11.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-paramiko (>= 2.0),
                      python3-prettytable,
                      python3-psycopg2,
                      python3-six (>= 1.9.0),
-                     python3-stevedore (>= 1.10.0),
+                     python3-stevedore (>= 1.16.0),
                      python3-subunit,
-#                     python3-swiftclient,
+                     python3-swiftclient,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      python3-urllib3 (>= 1.15.1),
@@ -74,8 +73,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/tempest.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/tempest.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-tempest?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-tempest -b debian/newton
 Homepage: https://github.com/openstack/tempest
 
 Package: python-tempest
@@ -90,20 +89,19 @@
          python-fixtures (>= 3.0.0),
          python-jsonschema,
          python-netaddr (>= 0.7.12),
-         python-openssl (>= 0.14),
          python-os-testr (>= 0.7.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.9.0),
+         python-oslo.config (>= 1:3.14.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          python-oslotest,
          python-paramiko (>= 2.0),
          python-pbr (>= 1.8),
          python-prettytable,
          python-six (>= 1.9.0),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-subunit,
          python-swiftclient,
          python-testscenarios,
@@ -131,20 +129,19 @@
          python3-fixtures (>= 3.0.0),
          python3-jsonschema,
          python3-netaddr (>= 0.7.12),
-         python3-openssl (>= 0.14),
          python3-os-testr (>= 0.7.0),
          python3-oslo.concurrency (>= 3.8.0),
-         python3-oslo.config (>= 1:3.9.0),
+         python3-oslo.config (>= 1:3.14.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.11.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-oslotest,
          python3-paramiko (>= 2.0),
          python3-pbr (>= 1.8),
          python3-prettytable,
          python3-six (>= 1.9.0),
-         python3-stevedore (>= 1.10.0),
+         python3-stevedore (>= 1.16.0),
          python3-subunit,
          python3-swiftclient,
          python3-testscenarios,
